# DataExchange
TKVRML
VrmlData

# VrmlData_Geometry Class Reference

`#include <VrmlData_Geometry.hxx>`

Inheritance diagram for VrmlData_Geometry:

[legend]

## Public Member Functions

| VrmlData_Geometry ()
| VrmlData_Geometry (const VrmlData_Scene &theScene, const char *theName)
virtual Standard_EXPORT const | Handle (TopoDS_TShape)&TShape()=0

## Protected Member Functions

void | SetTShape (const Handle(TopoDS_TShape)&theTShape)
void | SetModified ()
| Handle (TopoDS_TShape) myTShape

## Protected Attributes

Standard_Boolean | myIsModified

## Detailed Description

Implementation of the Geometry node. Contains the topological representation (TopoDS_Shell) of the VRML geometry

## Constructor & Destructor Documentation

VrmlData_Geometry::VrmlData_Geometry | ( |  | ) | `[inline]`

| Empty constructor

VrmlData_Geometry::VrmlData_Geometry | ( | const VrmlData_Scene & | theScene,
|  | const char * | theName
| ) | `[inline]`

| Constructor

## Member Function Documentation

VrmlData_Geometry::Handle | ( | TopoDS_TShape |  | ) | `[protected]`

| Reimplemented in VrmlData_Box, VrmlData_Cone, VrmlData_Cylinder, VrmlData_IndexedFaceSet, VrmlData_IndexedLineSet, and VrmlData_Sphere.

virtual Standard_EXPORT const VrmlData_Geometry::Handle | ( | TopoDS_TShape |  | ) | `[pure virtual]`

| Query the shape. This method checks the flag myIsModified; if True it should rebuild the shape presentation. Implemented in VrmlData_Box, VrmlData_Cone, VrmlData_Cylinder, VrmlData_IndexedFaceSet, VrmlData_IndexedLineSet, and VrmlData_Sphere.

void VrmlData_Geometry::SetModified | ( |  | ) | `[inline, protected]`

| Mark modification

void VrmlData_Geometry::SetTShape | ( | const Handle(TopoDS_TShape)& | theTShape | ) | `[inline, protected]`

| Set the TShape.

## Field Documentation

Standard_Boolean VrmlData_Geometry::myIsModified `[protected]`

The documentation for this class was generated from the following file:

- VrmlData_Geometry.hxx